
<header>
  <nav class="navbar navbar-light bg-body-tertiary">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">
        <img [src]="rutaImagen" class="me-2" height="20" alt="SENIAT" loading="lazy">
      </a>
    </div>        
  </nav>
</header>
<nav class="container-fluid navbar navbar-light">
  <a class="navbar-brand"><i class="bi bi-1-square"></i></a>
  <form class="d-flex input-group w-auto">
    <input
      type="search"
      class="form-control rounded"
      placeholder="Search"
      aria-label="Search"
      aria-describedby="search-addon"
    />
    <span class="input-group-text border-2px" id="search-addon">
      <i class="fas fa-search"></i>
    </span>
  </form>
</nav>
<div class="row" style="width: auto;height: auto;">
  <div class="col-4">
    <div class="list-group" id="list-tab" role="tablist">
      <a class="list-group-item list-group-item-danger active" id="home" data-toggle="list" routerLink="#list-home" role="tab" aria-controls="home">Home</a>
      <a class="list-group-item list-group-item-danger" id="lista" data-toggle="list" role="tab" aria-controls="lista" (click)="mostrarLista()">Lista</a>
      <a class="list-group-item list-group-item-danger" id="crear" data-toggle="list"role="tab" aria-controls="crear" (click)="mostrarCrear()">Crear</a>
    </div>
  </div>
  <div class="col-sm-11" style="max-width: 1200px; margin: 0 auto;">
    <!-- Contenido dinámico basado en la selección del usuario  -->
   <div *ngIf="mostrarComponente === 'tasa-interes'" class="mt-3">
      <!-- Aquí va el contenido del componente Consultar  -->
     <app-lista-tasa-interes-activos></app-lista-tasa-interes-activos>
   </div>
   <div *ngIf="mostrarComponente === 'crear'" class="mt-3">
     <!-- Aquí va el contenido del componente Crear -->
     <app-crear></app-crear>
   </div>
  </div>
</div>